plugins {
  `kotlin-dsl`
}

repositories {
  gradlePluginPortal()
  mavenCentral()
  google()
}

dependencies {
  compileOnly(libs.nexus.publish.gradlePlugin)
  compileOnly(libs.kotlin.gradlePlugin)
  compileOnly(libs.dokka.gradlePlugin)
  compileOnly(libs.ksp.gradlePlugin)
  compileOnly(libs.ktlint.gradlePlugin)
}

gradlePlugin {
  plugins {
    register("kotlin") {
      id = "justjanne.kotlin"
      implementationClass = "KotlinConvention"
    }
    register("publication") {
      id = "justjanne.publication"
      implementationClass = "PublicationConvention"
    }
    register("version") {
      id = "justjanne.version"
      implementationClass = "VersionConvention"
    }
  }
}

configure<JavaPluginExtension> {
  toolchain {
    languageVersion.set(JavaLanguageVersion.of(17))
  }
}
